import classNames from 'classnames';
import React from 'react';
import { locales } from '@pisell/utils';
import "./index.less";
var PREFIX = 'pisell-sale-detail-order-note';
export function OrderNote(_ref) {
  var dataSource = _ref.dataSource,
    className = _ref.className;
  return /*#__PURE__*/React.createElement("section", {
    className: classNames(PREFIX, className)
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(PREFIX, "__card")
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(PREFIX, "__content")
  }, /*#__PURE__*/React.createElement("span", {
    className: "".concat(PREFIX, "__label")
  }, locales.getText('pisell2.sale-detail.order-note')), /*#__PURE__*/React.createElement("span", {
    className: "".concat(PREFIX, "__separator")
  }, "\u2014"), /*#__PURE__*/React.createElement("span", {
    className: "".concat(PREFIX, "__text")
  }, dataSource)), /*#__PURE__*/React.createElement("button", {
    className: "".concat(PREFIX, "__change"),
    type: "button"
  }, locales.getText('pisell2.sale-detail.change'))));
}